#!/usr/bin/env python
import sys
from setuptools import find_packages, setup

README = "test"

install_requires = [
        'python-language-server',
        ]

setup(
    name='configuration-language-server',

    # Versions should comply with PEP440.  For a discussion on single-sourcing
    # the version across setup.py and the project code, see
    # https://packaging.python.org/en/latest/single_source_version.html

    description='Configuration Language Server for the Language Server Protocol',

    install_requires=install_requires,

    long_description=README,

    # The project's main homepage.
    url='https://github.com/palantir/python-language-server',

    author='Palantir Technologies, Inc.',

    # You can just specify the packages manually here if your project is
    # simple. Or you can use find_packages().
    packages=find_packages(exclude=['contrib', 'docs', 'test', 'test.*']),

    entry_points={
        'console_scripts': [
            'confls = confls.__main__:main',
        ],
        'confls': [
            'systemd = confls.plugins.completion_systemd',
            'hover = confls.plugins.hover_systemd',
        ]
    },
)
